<detalle-cliente *ngIf="compraSeleccionado" [cliente] ="compraSeleccionado"></detalle-cliente>

<div class="card border-primary mb-3">
  <div class="card-header"> Pedidos en preparación (vista para cocina)</div>
   <p>Obs: estado inicial: pendiente(recien ingresado), en proceso (en preparacion), listo(pasa a bandeja de espera para retiro o envio) </p>
  <div class="card-body text-primary">
    <h5 class="card-title">listado de Pedidos en preparación</h5>
  
    <div *ngIf="compras?.length == 0" class="alert alert-info">
      No hay registros en la base de datos!
    </div>
    <table class="table table-striped table-hover table-bordered my-3" *ngIf="itemCompra?.length>0">
      <thead>
        <tr>
          <th>Nro Ticket</th>

          <th>Item</th>
          <th>Cliente</th>
          <th>Modo de Retiro</th>
          <th>Observacion</th>

          <th>Producto</th>
          <th>Cantidad</th>
          <th>Estado</th>
          <th>En Proceso</th>
          <th>Listo</th>


        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of itemCompra">
          <td *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'" style="background-color:rgb(17, 156, 190); color:#FFF" >{{item.compraId}}</td>

          <td  *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(17, 156, 190); color:#FFF"  >{{item.id}}</td>

          <td  *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(17, 156, 190); color:#FFF"  >{{item.nombre}}</td>
          <td  *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(17, 156, 190); color:#FFF"  >{{item.descripcion}}</td>
          <td   *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(17, 156, 190); color:#FFF" >{{item.observacion}}</td>

          <td *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(17, 156, 190); color:#FFF"  >{{item.producto.nombre}}</td>
          <td  *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(17, 156, 190); color:#FFF"  >{{item.cantidad}}</td>

          <td  *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(17, 156, 190); color:#FFF"  >{{item.estado}}</td>
          <td *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(17, 156, 190); color:#FFF"  >
            <button type="button" name="proceso" class="btn btn-primary btn-sm" [disabled]="item.estado=='en proceso'" (click)='procesar(item)'>En Proceso</button>
          </td>
          <td *ngIf=" item.estado=='en proceso'  && item.producto.tipo!='almacen'"  style="background-color:rgb(17, 156, 190); color:#FFF"  >
            <button type="button" name="listo" class="btn btn-primary btn-sm" (click)='listo(item)' >Listo</button>
          </td>

          <td *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF" >{{item.compraId}}</td>

          <td  *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >{{item.id}}</td>

          <td  *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >{{item.nombre}}</td>
          <td  *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >{{item.descripcion}}</td>
          <td   *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF" >{{item.observacion}}</td>

          <td *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >{{item.producto.nombre}}</td>
          <td  *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >{{item.cantidad}}</td>

          <td  *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF" >{{item.estado}}</td>
          <td *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF"  >
            <button type="button" name="proceso" class="btn btn-primary btn-sm" [disabled]="item.estado=='en proceso'" (click)='procesar(item)'>En Proceso</button>
          </td>
          <td *ngIf="item.estado=='pendiente' && item.producto.tipo!='almacen'" style="background-color:rgb(247, 163, 54); color:#FFF" >
            <button type="button" name="listo" class="btn btn-primary btn-sm" (click)='listo(item)' >Listo</button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
